Bug 691184 - system-config-language desperately needed
Summary: system-config-language desperately needed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-27 11:36 UTC by Christoph Wickert
Modified: 2013-05-26 02:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-26 02:05:46 UTC
Type: ---


Attachments (Terms of Use)

Description Christoph Wickert 2011-03-27 11:36:08 UTC
Description of problem:
Now that the language selection has been removed from GDM, system-config-language is necessary on the livecd more than ever. For a non-english speaker there is no way to easily change the language before installation.

Version-Release number of selected component (if applicable):
Fedora-15-Nightly-20110325.20-i686-Live-desktop.iso

Comment 1 Matthias Clasen 2011-04-02 04:13:09 UTC
We have language selection in the 'Region and Language' panel.

Comment 2 Christoph Wickert 2011-04-02 07:27:29 UTC
... which only works in GNOME and per user. The bootup and the login will still be English, and so will be all new user accounts.

As long as the panel in control-center does not have a "Make default" function and cannot install the language-support groups, I suggest to have system-config-language in the spin.

Comment 3 Jens Petersen 2011-04-28 05:17:50 UTC
I think it would be better to bring back the gdm language menu.

Comment 4 Christoph Wickert 2011-04-28 12:25:02 UTC
Agreed, but AFAICS there are no intentions to do this as Matthias outlined in this thread: http://lists.fedoraproject.org/pipermail/desktop/2011-March/006994.html

Comment 5 Christoph Wickert 2011-05-09 14:34:52 UTC
(In reply to comment #1)
> We have language selection in the 'Region and Language' panel.

This is not sufficient
- it is a per-user setting but not system-wide
- it cannot change the language of GDM
- it cannot change the language of the console
- it crashes as soon as you add another keyboard layout. Will file a separate bug report about that.

Comment 6 Jens Petersen 2011-05-12 05:39:08 UTC
Right according to bug 681750 the situation pay improve for F16,
though I also feel dropping the gdm menus for lang and kbd seems
to be a step backwards for non-US users.

So maybe adding system-config-language as a default package to F15 makes sense.

Comment 7 Parag Nemade 2012-07-26 06:32:18 UTC
I see that system-config-language is removed in current fedora-livecd-desktop.ks

Comment 8 Fedora End Of Life 2013-04-03 16:07:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 9 Matthias Clasen 2013-05-26 02:05:46 UTC
gnome-control-center supports language selection now


Note You need to log in before you can comment on or make changes to this bug.